Index: public/templates/lite.css
===================================================================
--- public/templates/lite.css	(revision 5122)
+++ public/templates/lite.css	(working copy)
@@ -146,10 +146,6 @@
   display: none;
 }
 
-.shadow-message {
-  display: none !important;
-}
-
 .error-page img {
   width: 145px;
   height: 61px;
@@ -165,3 +161,14 @@
   color: black;
   font-size: .85em;
 }
+
+.shadow-message {
+  height: 240px;
+  padding: 10px;
+  border: 0 !important;
+}
+
+.shadow {
+  background: white !important;
+  opacity: 1 !important;
+}
Index: public/js/payment.js
===================================================================
--- public/js/payment.js	(revision 5100)
+++ public/js/payment.js	(working copy)
@@ -95,7 +95,11 @@
   }
 
   if (valid)
-    fadeOutPage('The transaction is processing... Please wait.');
+    fadeOutPage(
+      'Payment is being processed.'
+      + '<br/><br/>'
+      + 'Please wait ...'
+    );
 
   return valid;
 }
@@ -131,12 +135,15 @@
 }
 
 function fadeOutPage (text) {
+
+  $('content').remove();
+
   var shadowDiv = document.createElement('div');
   var shadowMessageDiv = document.createElement('div');
 
   shadowDiv.setAttribute('class', 'shadow');
   shadowMessageDiv.setAttribute('class', 'shadow-message');
-  shadowMessageDiv.innerHTML = '<h1>' + text + '</h1>';
+  shadowMessageDiv.innerHTML = '<strong>' + text + '</strong>';
 
   document.body.appendChild(shadowDiv);
   document.body.appendChild(shadowMessageDiv);
